// <script src="https://turing.captcha.qcloud.com/TCaptcha.js"></script>

export const dynimicLoadTcapTcha = async (): Promise<boolean> => {
  return new Promise((resolve, reject) => {
    const script = document.createElement('script')
    script.type = 'text/javascript'
    script.id = 'tencent-captcha'
    if (document.getElementById('tencent-captcha')) {
      resolve(true)
      return
    }
    script.src = 'https://turing.captcha.qcloud.com/TCaptcha.js'
    script.onload = () => {
      resolve(true)
    }
    script.onerror = (error) => {
      reject(error)
    }
    document.body.appendChild(script)
  })
}
